Bug 382371 - (gnome-do) Review Request: gnome-do - quick object search and interaction
Review Request: gnome-do - quick object search and interaction
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 08:28 EST by David Nielsen
Modified: 2008-11-02 12:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-02 16:45:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2007-11-14 08:28:55 EST
Spec URL: http://www.lovesunix.net/fedora/gnome-do.spec
SRPM URL: http://www.lovesunix.net/fedora/gnome-do-0.0.2-1.fc8.src.rpm

Description: GNOME Do allows you to quickly search for many objects present in your GNOME desktop environment (applications, Evolution contacts, Firefox bookmarks, files, artists and albums in Rhythmbox, Pidgin buddies) and perform commonly used commands on those objects (Run, Open, Email, Chat, Play, etc.).
Comment 1 Peter Gordon 2007-11-14 16:18:44 EST
Trade reviews again? :-)

I'll be happy to review this for you. Mock build in progress...
Comment 2 Peter Gordon 2007-11-14 17:56:01 EST
David, I'm having trouble building this package in Mock (x86S_64/devel).

Firstly, you're missing BuildRequires for ndesk-dbus-devel,
ndesk-dbus-glib-devel, gtk-sharp2-devel, and gnome-sharp-devel.

Secondly, even with this installed, the install scripts still want to install
stuff to /usr/lib instead of /usr/lib64, which makes the globs in your %files
listing fail quite miserably. :(


2007-11-14 14:43:19,717 - util.py:218:DEBUG: RPM build errors:
2007-11-14 14:43:19,717 - util.py:218:DEBUG:     File not found by glob:
/var/tmp/gnome-do-0.0.2-2.fc9-root-mockbuild/usr/lib64/pkgconfig/*
2007-11-14 14:43:19,717 - util.py:218:DEBUG:     Installed (but unpackaged)
file(s) found:
2007-11-14 14:43:19,717 - util.py:218:DEBUG:    /usr/lib/do/Do.Addins.dll
2007-11-14 14:43:19,717 - util.py:218:DEBUG:    /usr/lib/do/Do.Addins.dll.mdb
2007-11-14 14:43:19,717 - util.py:218:DEBUG:    /usr/lib/do/Do.DBus.dll
2007-11-14 14:43:19,718 - util.py:218:DEBUG:    /usr/lib/do/Do.DBus.dll.mdb
2007-11-14 14:43:19,718 - util.py:218:DEBUG:    /usr/lib/pkgconfig/do.addins.pc
2007-11-14 14:43:19,718 - util.py:218:DEBUG:    /usr/lib/pkgconfig/do.dbus.pc
2007-11-14 14:43:19,718 - trace_decorator.py:27:DEBUG: EXCEPTION:
Command(rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/gnome-do.spec) failed. See logs for output.

I'll play with this a bit and see if I can get it fixed...maybe something weird
in the autofoo that your patch didn't include.
Comment 3 Peter Gordon 2007-11-14 18:07:55 EST
Ah, I see it. The makefile.in scripts for some of the modules also have the
directory hardcoded:

./do-0.1/Do.Addins/Makefile.in:programfilesdir = @prefix@/lib/@PACKAGE@
./do-0.1/Do.Addins/Makefile.in:linuxpkgconfigdir = @prefix@/lib/pkgconfig
./do-0.1/Do.Addins/do.addins.pc.in.libdir:Libs:
-r:@prefix@/lib/@PACKAGE@/Do.Addins.dll
./do-0.1/Makefile.include.libdir:programfilesdir = @prefix@/lib/@PACKAGE@
./do-0.1/Makefile.include.libdir:linuxpkgconfigdir = @prefix@/lib/pkgconfig
./do-0.1/Do.DBus/do.dbus.pc.in.libdir:Libs: -r:@prefix@/lib/@PACKAGE@/Do.DBus.dll
./do-0.1/Do.DBus/Makefile.in:programfilesdir = @prefix@/lib/@PACKAGE@
./do-0.1/Do.DBus/Makefile.in:linuxpkgconfigdir = @prefix@/lib/pkgconfig
./do-0.1/Do/gnome-do.in.libdir:exec mono "@prefix@/lib/@PACKAGE@/Do.exe" "$@"
./do-0.1/Do/Makefile.in:programfilesdir = @prefix@/lib/@PACKAGE@
./do-0.1/Do/Makefile.in:linuxpkgconfigdir = @prefix@/lib/pkgconfig

Please add these fixes to your patch, too. Thanks. :) Now, on to the rest of the
review...
Comment 4 Peter Gordon 2007-11-14 23:00:33 EST
Review for most of the spec file:

== GOOD ==
+ Package naming/version is good; and the spec is named accordingly
("%{name}.spec"). 
+ License (GPLv3+) is acceptable for Fedora inclusion.
+ BuildRoot is OK, and is properly cleaned at the beginning of %install and as
the only step in %clean.
+ Debuginfo package creation is disabled, but this is OK since it's a Mono module.
+ Spec file is written in American English, and is legible.
+ PPC64 is ExcludeArch, with bug noted in the spec that blocks the
FE-ExcludeArch-ppc64 tracker.
+ Macro usage is consistent ($RPM_*)
+ Package includes permissible code.
+ Installed .pc file is in its own -devel subpackage, and that subpackage has a
hardcoded runtime dependency on pkgconfig. -devel subpackage also properly has a
fully-versioned dependency on the main package. (E.g., "Requires: %{name} =
%{version}-%{release}")
+ Package contains no libtool files ("foo.la")
+ .desktop file is included and properly installed with desktop-file-install
(except for one minor issue - see below).



== MINOR ==
# Please don't add the X-Fedora to the installed .desktop file. It's useless
cruft. :)




== BLOCKERS ==
(1) Package fails to build in mock (x86_64/devel) due to noted missing BRs and
multilib suckage.

Once this is fixed to build, I'll finish the rest of the review, as it requires
a properly-built resulting binary RPM.



== Not Applicable ==
* Package includes no gettext translations, so %find_lang is not needed.
* No native shared libs are installed, so /sbin/ldconfig invocations in
%post/%postun are not needed and unversioned ".so" files are not present.
* Package is not relocatable.
* Package installs no large documentation, so a -doc subpackage is not needed.
* No header files or static libraries are included.
Comment 5 David Nielsen 2007-11-17 04:32:28 EST
- fixed the BuildRequires
- updated libdir patch for gnome-do-0.0.2
- nuke X-Fedora with the orbital laser

Spec URL: http://www.lovesunix.net/fedora/gnome-do.spec
SRPM URL: http://www.lovesunix.net/fedora/gnome-do-0.0.2-2.fc8.src.rpm

Comment 6 Peter Gordon 2007-11-17 14:30:13 EST
Review: gnome-do 0.0.2-2	

Okay, the update successfully builds in Mock (devel, x86_64 and i386). 
	
rpmlint only has a few minor complaints:
> gnome-do.x86_64: E: no-binary
> gnome-do.x86_64: E: only-non-binary-in-usr-lib

These are ignorable, since it's a Mono package and it doesn't ship native code,
but still needs to use the per-arch lib(64) directories, and has only a small
wrapper script in /usr/bin.

> gnome-do.x86_64: W: no-documentation
> gnome-do-devel.x86_64: W: no-documentation

These are because your package has no %doc files. Unfortunately, there are no
reasonable files in the tarball that would be appropriate here. Thus, this is
acceptable; but *please* bug upstream about including some files here: at the
very least, a copy of the license text and perhaps an AUTHORS or MAINTAINERS
file.


=== GOOD ===
+ Builds in mock (Devel, x86_64 and i386).
+ Included source tarball matches that of upstream:
4a5287dd85d920771e9c9c086b532a51  gnome-do_0.0.2-srpm.orig.tar.gz
4a5287dd85d920771e9c9c086b532a51  gnome-do_0.0.2-upstream.orig.tar.gz
+ All necessary BuildRequires are listed, with no duplicates.
+ Final file/directory ownership is good; no duplicates are listed.
+ File/directory permissions are OK; proper %defattr is used.
+ Final requires/provides are OK. Provides:
mono(Do) = 1.0.2877.19873
mono(Do.Addins) = 1.0.2877.19872
mono(Do.DBus) = 1.0.2877.19872
gnome-do = 0.0.2-2.fc8

Requires:
/bin/sh  
mono(Do.Addins) = 1.0.2877.19872
mono(Do.DBus) = 1.0.2877.19872
mono(Mono.Cairo) = 2.0.0.0
mono(System) = 2.0.0.0
mono(gconf-sharp) = 2.16.0.0
mono(gdk-sharp) = 2.10.0.0
mono(gtk-sharp) = 2.10.0.0
mono(mscorlib) = 2.0.0.0
mono(pango-sharp) = 2.10.0.0
mono-core  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

+ When built, the application runs fine with no apparent bugs or segfaults/etc.

All blockers have been fixed, so gnome-do 0.0.2-2 is APPROVED.
Comment 7 David Nielsen 2007-11-17 15:48:17 EST
New Package CVS Request
=======================
Package Name: gnome-do
Short Description: quick object search and interaction for the GNOME desktop
Owners: dnielsen
Branches: devel F-8 F-7
InitialCC: (none)
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2007-11-17 20:21:00 EST
cvs done.
Comment 9 Peter Gordon 2007-12-02 15:07:46 EST
David, don't forget to close this bug as NEXTRELEASE once you've imported and
built it. :)

Thanks.
Comment 10 Mario Chacon 2008-11-02 12:55:16 EST
Hello, I when I try to enable Files and Folders plugin I got this error and I cannot enable it:

Installing "Do.File,1.4" addin...
The following add-ins will be installed:
 - Files and Folders v1.4
Installing Files and Folders v1.4


ERROR: /home/masch/.local/share/gnome-do/plugins-0.6.0/addins/Do.File.1.4/File.addin.xml already exists

Note You need to log in before you can comment on or make changes to this bug.